<template>
    <ContentCard>
        <template #pageHeader>
            <p>Dialogs</p>
        </template>
        <div class="space-x-2">
            <BaseButton mode="primary" flat @click="openDialog(false)">Open dialog</BaseButton>
            <BaseButton mode="primary" flat @click="openDialog(true)">Open dialog with static backdrop</BaseButton>
        </div>

        <BaseDialog :show="dialogVisible" :static-backdrop="staticBackdrop" @close="closeDialog">
            <template #header>This is test dialog</template>
            <div>
                This is test dialogs content.
            </div>
            <template #actions>
                <BaseButton mode="default" @click="closeDialogOnButton">Close</BaseButton>
            </template>
        </BaseDialog>
    </ContentCard>
</template>

<script setup lang="ts">
import { ref } from 'vue';

const dialogVisible = ref(false);
const staticBackdrop = ref(false);

function openDialog(useStaticBackdrop: boolean = false) {
    staticBackdrop.value = useStaticBackdrop;
    dialogVisible.value = true;
}

function closeDialog() {
    dialogVisible.value = false;
}

function closeDialogOnButton() {
    closeDialog();
}

</script>
